Bug 48456 - : when searching for a number, the formatting of it is considered
Summary: : when searching for a number, the formatting of it is considered
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: high enhancement
Assignee: Dennis Francis
QA Contact:
URL:
Whiteboard: BSA target:5.1.0
Keywords:
: 97434 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-04-09 02:07 UTC by philip_hoflack
Modified: 2016-10-25 19:17 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
A screenshot (I made sure the cell contains the value and not a formula) (114.19 KB, image/png)
2012-04-09 02:07 UTC, philip_hoflack
Details

Note You need to log in before you can comment on or make changes to this bug.
Description philip_hoflack 2012-04-09 02:07:11 UTC
Created attachment 59669 [details]
A screenshot (I made sure the cell contains the value and not a formula)

Problem description:
When I search for "65.536" (European format, so it means sixty-five thousand five hundred thirty six) it cannot find 65.536 (the same number as it is shown in the spreadsheet) I have to search for 65536 in order for it to find the number, even though I got the "65.536" string I initially searched by copying the value of the cell which contains 65536.


Steps to reproduce:
1. type 65536 in a cell
2. make sure the formatting of the cell is set to "-1.234", so that it will show 65536 as 65.536
3. copy the content of the cell
4. paste it in the search box
5. search for the number 

Current behavior: LibreOffice cannot find the number pasted in the search box

Expected behavior: LibreOffice finds the number

Platform (if different from the browser):
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:11.0) Gecko/20100101 Firefox/11.0
I use the dutch version of LibreOffice.
Comment 1 bfoman (inactive) 2012-08-31 12:01:47 UTC
Confirmed with:
LO 3.5.6.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit
Comment 2 Joel Madero 2012-11-21 20:00:55 UTC
Still confirmed, LibO: 3.6.3.2

Marking as NEW and prioritizing:

Enhancement: This apparently is acting like it's supposed to but your suggestion makes sense, marking as a enhancement

High: Seems like a lot of users could benefit from this (anyone who uses number formatting + find feature). Should be able to search for things the same way that they look. Lastly, I doubt it'll be a very hard hack (probably not an easy hack but not incredibly difficult)
Comment 3 Dennis Francis 2015-10-22 06:48:38 UTC
Submitted a patch at https://gerrit.libreoffice.org/#/c/19420/
Comment 4 Commit Notification 2015-10-23 00:25:00 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9a85743766e8a063d20d5f93ee88758e243397f4

tdf#48456 : when searching for a number, consider formatting

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 V Stuart Foote 2016-01-31 22:25:14 UTC
*** Bug 97434 has been marked as a duplicate of this bug. ***